# 移行時の確認ポイント

プロジェクトをMonacaに移行する前に、下記の点を確認してください。

## ビルド環境

新規に作成されたプロジェクトは、Monacaでサポートしている最新のCordovaバージョン（現在は **Cordova 11.0.0**）を使用します。

|   Cordova  | Android platform | iOS platform | Windows platform (electron) |
| :--------: | :--------------: | :----------: | :-------------------------: |
| **11.0.0** |    **10.1.2**    |   **6.2.0**  |          **3.0.0**          |

旧Cordovaバージョンのビルド環境の詳細については、[こちら](/environment.md)を参照ください。

## インストール済みプラグイン

Monacaでは、Cordovaプラグインは `package.json`ファイルによって管理されます。

プラグイン情報が `config.xml`ファイルで定義されている場合は、それらを再度Monacaのプラグイン管理画面でインポートする必要があります。 詳細は[こちら](/products_guide/monaca_ide/dependencies/cordova_plugin.md)を参照ください。

## サードパーティ製プラグイン

ストアバージョンの Monaca Debugger（Google PlayまたはAppStore）には[コア Cordovaプラグイン](/reference/core-cordova-plugins.md) が含まれています。

コア Cordovaプラグイン以外のサードパーティCordovaプラグインを含める場合は、カスタムデバッガをビルドする必要があります。カスタムデバッガは、サードパーティ製プラグインも含めてプロジェクトで使用されているプラ​​グインが含まれます。

詳細は下の項目を参照してください：

* [iOS用 Monaca デバッガー](/products_guide/debugger/installation/debugger_ios.md)
* [Android用 Monaca デバッガー](/products_guide/debugger/installation/debugger_android.md)

## JS/CSS コンポーネント

CSS/JavaScript ライブラリを管理するための専用画面があります。

* Monaca CLI では、コマンド `monaca remote config` にてプロジェクトディレクトリから開くことができます。
* Monaca Localkit では、`設定`メニューをクリックすると画面を開くことができます。

![](/files/-MgYjEBopcANxF_OwMhh)

さまざまなCSS/JavaScriptライブラリを追加できます。ただし、次の2行を`index.html`ファイルに含めた場合にのみ動作します。

```markup
<!--Load selected JavaScript libraries-->
<script src="components/loader.js"></script>
<!--Load selected CSS libraries-->
<link rel="stylesheet" href="components/loader.css">
```

`loader.js` ファイルも`cordova.js`を内部の処理にてロードしています。\
そのため、上記の行をインクルードする場合は、下記の行を削除することができます。

```markup
<script src="cordova.js"></script>
```

## その他の注意点

* トランスパイルの出力先フォルダは `www` である必要があります。
  * Monacaの各種プロダクトは、`www` ディレクトリを対象に読み込み処理を実施しています。
* `file：//` をとおして `index.html` が開けることを確認してください。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ja.docs.monaca.io/products_guide/migration/key_point.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
